com.sun.jna.platform.win32

## Class Ntifs.REPARSE_DATA_BUFFER

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER

Direct Known Subclasses:
  Ntifs.REPARSE_DATA_BUFFER.ByReference

Enclosing interface:
  Ntifs

    @Structure.FieldOrder(value={"ReparseTag","ReparseDataLength","Reserved","u"})
    public static class Ntifs.REPARSE_DATA_BUFFER
    extends Structure

The REPARSE_DATA_BUFFER structure contains reparse point data for a Microsoft reparse point. (Third-party reparse point owners must use the REPARSE_GUID_DATA_BUFFER structure instead.)

### Nested Class Summary

Nested Classes
`static class` `Ntifs.REPARSE_DATA_BUFFER.ByReference`
`static class` `Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`short` `ReparseDataLength` Size, in bytes, of the reparse data in the DataBuffer member.
`int` `ReparseTag` Reparse point tag.
`short` `Reserved` Length, in bytes, of the unparsed portion of the file name pointed to by the FileName member of the associated file object.
`Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION` `u`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`REPARSE_DATA_BUFFER()`
`REPARSE_DATA_BUFFER(int ReparseTag, short Reserved)`
`REPARSE_DATA_BUFFER(int ReparseTag, short Reserved, Ntifs.SymbolicLinkReparseBuffer symLinkReparseBuffer)`
`REPARSE_DATA_BUFFER(Pointer memory)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getSize()`
`void` `read()` Reads the fields of the struct from native memory
`static int` `sizeOf()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ReparseTag

    public int ReparseTag

Reparse point tag. Must be a Microsoft reparse point tag.

#### ReparseDataLength

    public short ReparseDataLength

Size, in bytes, of the reparse data in the DataBuffer member.

#### Reserved

    public short Reserved

Length, in bytes, of the unparsed portion of the file name pointed to by the FileName member of the associated file object. For more information about the FileName member, see FILE_OBJECT. This member is only valid for create operations when the I/O fails with STATUS_REPARSE. For all other purposes, such as setting or querying a reparse point for the reparse data, this member is treated as reserved.

#### u

    public Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION u

### Constructor Detail

#### REPARSE_DATA_BUFFER

    public REPARSE_DATA_BUFFER()

#### REPARSE_DATA_BUFFER

    public REPARSE_DATA_BUFFER(int ReparseTag,
                               short Reserved)

#### REPARSE_DATA_BUFFER

    public REPARSE_DATA_BUFFER(int ReparseTag,
                               short Reserved,
                               Ntifs.SymbolicLinkReparseBuffer symLinkReparseBuffer)

#### REPARSE_DATA_BUFFER

    public REPARSE_DATA_BUFFER(Pointer memory)

### Method Detail

#### sizeOf

    public static int sizeOf()

#### getSize

    public int getSize()

Returns:
  size of the structure considering the ReparseDataLength size

#### read

    public void read()

Description copied from class: `Structure`
Reads the fields of the struct from native memory

Overrides:
  `read` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.